Permalink
Browse files

Add chinese download page

  • Loading branch information...
1 parent 54063c6 commit b69f4f6463e1da0f34b28b050d1ae011029e02a3 @ihower ihower committed Jul 28, 2010
Showing with 88 additions and 0 deletions.
  1. +88 −0 download.zh_TW.textile
View
@@ -0,0 +1,88 @@
+你可以在這裡下載適合您的最新 Ruby 發佈版本。目前最新的穩定版本是 1.9.1。如果您需要使用 "Ruby on Rails":http://rubyonrails.org.tw ,請安裝 1.8.7。另外,請先看看 "Ruby 版權說明":http://www.ruby-lang.org/en/about/license.txt。
+
+h3. Ruby 原始碼
+
+如果您非常熟悉您的作業系統,或是您需要特別設定的環境,那麼直接使用原始碼來安裝是個不錯的方式。如果您的平台沒有編譯好的套件,那麼也必須透過原始碼來安裝。
+
+* "Ruby 1.9.1-p378":ftp://ftp.ruby-lang.org:21//pub/ruby/1.9/ruby-1.9.1-p378.tar.gz (md5:  9fc5941bda150ac0a33b299e1e53654c) Stable Version (_recommended_)
+* "Stable Snapshot":ftp://ftp.ruby-lang.org:21//pub/ruby/ruby-1.9-stable.tar.gz 這是 SVN 中最新的穩定版本,它應該比上一個穩定版本更好。
+* "Nightly Snapshot":ftp://ftp.ruby-lang.org/pub/ruby/snapshot.tar.gz 這是 SVN 中最新的開發版本,它也許包含了一些已知尚未解決的問題。
+
+關於更多 Ruby Subversion repository 的資訊,請參考 "Ruby Core":/en/community/ruby-core/ 頁面。
+
+h3. Windows 上的 Ruby
+
+在 Windows 平台上有幾個選擇。第一個選項是使用 "RubyInstaller":http://rubyinstaller.org/ ,這是一個編譯好的安裝包(Installer)。第二個選項則是編譯好的執行檔。如果您不確定怎麼安裝,那麼建議您用安裝包(Installer)的方式。
+
+* "Ruby 1.8.6-p398 RubyInstaller":http://rubyforge.org/frs/download.php/71066/rubyinstaller-1.8.6-p398.exe
+(md5: 233d6b3ddc4c61436b075b51254cd138) 穩定版本 (_推薦_)
+* "Ruby 1.8.7-p249 RubyInstaller":http://rubyforge.org/frs/download.php/71067/rubyinstaller-1.8.7-p249.exe
+(md5: 9ffa7dfdd336340a924f5d34b686ab58) 穩定版本 (_推薦_)
+* "Ruby 1.9.1-p378 RubyInstaller":http://rubyforge.org/frs/download.php/71078/rubyinstaller-1.9.1-p378.exe
+(md5: e686ae092d05c534cbc06490a56fb357) 穩定版本 (_推薦_)
+* "Ruby 1.8.7-p249 Binary":ftp://ftp.ruby-lang.org/pub/ruby/binaries/mswin32/ruby-1.8.7-p249-i386-mswin32.zip
+(md5: 4fd37b0b4b21a042cae7f5f0a8daad16) 穩定版本
+* "Ruby 1.9.1-p378 Binary":ftp://ftp.ruby-lang.org:21/pub/ruby/binaries/mswin32/ruby-1.9.1-p378-i386-mswin32.zip
+(md5: 7d14a918cc8d243d3e2c409aff41f454) 穩定版本
+
+請注意以上的 Binaries 執行檔除了需要您手動下載,還需要一些額外的元件,請參考 "這一篇":http://www.garbagecollect.jp/ruby/mswin32/en/documents/install.html 一步步執行。
+
+安裝包 "RubyInstaller":http://rubyinstaller.org/ 則不需要額外的步驟。
+
+如果你需要在 Windows 安裝不同版本的 Ruby 和 gems,請試試 "pik":http://github.com/vertiginous/pik 。
+
+h3. Linux 上的 Ruby
+
+根據不同的 Linux 發佈版本,有不同的安裝方式。第一個選擇是下載原始碼,然後手動編譯。不過在許多平台上,有套件管理工具可以幫助你很簡單地安裝 Ruby。
+
+例如,在 Debian 或 Ubuntu 上的 @apt-get@ 提供了簡單又優雅的解決方案:
+
+<notextile><r:code lang="sh">
+% sudo apt-get install ruby1.9.1-full
+</r:code></notextile>
+
+以上的指令會安裝 Ruby 1.9.1 穩定版本。如果你偏好安裝 Ruby 1.8,請執行:
+
+<notextile><r:code lang="sh">
+% sudo apt-get install ruby-full
+</r:code></notextile>
+
+對於 irb 和 rdoc 你需要啟動 universe repository。
+
+如果你需要安裝不同版本的 Ruby 和 gems,請試試 @rvm@, "Ruby Version Manager":http://rvm.beginrescueend.com 。
+
+h3. OS X 上的 Ruby
+
+Mac OS X Snow Leopard 預設安裝了 Ruby 1.8.7、Ruby on Rails、Mongrel、Capistrano 和許多熱門的 Ruby gems 套件。詳細資訊請參考 "Ruby wiki at MacOS Forge":http://trac.macosforge.org/projects/ruby/wiki.
+
+Mac OS X Leopard 預設安裝了 Ruby 1.8.6、Mac OS X Tiger 則安裝了 Ruby 1.8.2,如果你沒有升級到 Snow Leopard,也有許多選項可以安裝最新的 Ruby,例如使用 "Homebrew":http://mxcl.github.com/homebrew/ 、 "MacPorts":http://www.macports.org/ 或 "Fink":http://fink.sourceforge.net/ 等這些 Mac 套件管理工具都不錯。
+
+使用 MacPorts 的話,你可以這樣安裝 Ruby ...
+
+<notextile><r:code lang="sh">
+% port install ruby
+</r:code></notextile>
+
+Fink 則有圖型化介面(使用 Fink 指令)來安裝 Ruby。
+
+另外,因為 OS X 也是基於 Unix,所以下載原始碼,手動編譯安裝也是一種方式。
+
+關於更詳細安裝 Ruby (和Rails) 的文件,可以參考 Dan Benjamin 的文章 "給 Tiger":http://hivelogic.com/articles/ruby-rails-mongrel-mysql-osx 、 "給 Leopard":http://hivelogic.com/articles/ruby-rails-leopard 以及 "給 Snow Leopard":http://hivelogic.com/articles/compiling-ruby-rubygems-and-rails-on-snow-leopard/ 都可以幫助你很快地安裝起來。
+
+如果你需要安裝不同版本的 Ruby 和 gems,請試試 @rvm@, "Ruby Version Manager":http://rvm.beginrescueend.com 。
+
+h3. Solaris 和 OpenSolaris 上的 Ruby
+
+從 Solaris 8 到 Solaris 10 的 "Sunfreeware":http://www.sunfreeware.com 都有提供 Ruby 1.8.7,"Blastwave":http://www.blastwave.org 也有提供 Ruby 1.8.7。Sun 的 Cooltools 專案則提供了 Solaris 10 一個最佳化過的 Ruby on Rails 套件叫做 "Coolstack":http://cooltools.sunsource.net/coolstack 。
+
+要在 "OpenSolaris":http://www.opensolaris.org 上安裝 Ruby,請使用 "Image Packaging System 或 IPS":http://opensolaris.org/os/project/pkg/ 。這會從 OpenSolaris network repository 安裝最新的 Ruby 和 Rubygems,很簡單:
+
+<notextile><r:code lang="sh">
+% pfexec pkg install SUNWruby18
+</r:code></notextile>
+
+這會安裝 Ruby、Rubygems、常見的擴充以及支援函式庫。這個套件也包括 DTrace 和效能最佳化。進一步的資訊請參考 "Ruby OpenSolaris ARC Case":http://jp.opensolaris.org/os/community/arc/caselog/2007/600/ 。
+
+其他的 OpenSolaris 發佈版本如 "Solaris Express Community Edition 或 SXCE":http://opensolaris.org/os/downloads 則預設安裝了 Ruby 1.8.7。關於版本位置等都和 vanilla OpenSolaris 發佈版本相同,請參考上述的 ARC case。
+
+要手動安裝 SVR4 套件,請參考 "RubyOpenSolaris project @ Rubyforge":http://rubyforge.org/projects/rubyopensolaris 。

0 comments on commit b69f4f6

Please sign in to comment.